Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class ISpaceTool

    java.lang.Object
      ix.ispace.ISpaceTool

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ISpaceTool

extends java.lang.Object
implements java.awt.event.ActionListener

The I-Space user interface.

Nested Class Summary
`(package private) class` | `ISpaceTool.CapabilityPanel`
`(package private) class` | `ISpaceTool.CapabilityTable`
`(package private) static class` | `ISpaceTool.RelationComboBox` A combo-box for selecting `AgentRelationship`s.
`(package private) class` | `ISpaceTool.RelationPanel`

Field Summary
`(package private) IXAgent` | `agent`
`(package private) ISpaceTool.CapabilityPanel` | `capabilityPanel`
`(package private) ContactManager` | `contactManager`
`(package private) java.awt.Container` | `contentPane`
`(package private) javax.swing.JFrame` | `frame`
`(package private) ISpaceTool.RelationPanel` | `relationPanel`
`(package private) javax.swing.JTabbedPane` | `tabbedPane`

Constructor Summary
`ISpaceTool(IXAgent agent)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Action interpreter
`void` | `addMenu(javax.swing.JMenu menu)` Adds a menu to the menu bar.
`void` | `addTab(java.lang.String name, java.awt.Component component)` Adds a new tab and corresponding component
`javax.swing.JFrame` | `getFrame()`
`protected javax.swing.JMenuBar` | `makeMenuBar()` Creates the menu bar
`(package private) void` | `setupFrame()`
`void` | `setVisible(boolean v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### agent

    IXAgent agent

### contactManager

    ContactManager contactManager

### frame

    javax.swing.JFrame frame

### contentPane

    java.awt.Container contentPane

### tabbedPane

    javax.swing.JTabbedPane tabbedPane

### relationPanel

    ISpaceTool.RelationPanel relationPanel

### capabilityPanel

    ISpaceTool.CapabilityPanel capabilityPanel

Constructor Detail

### ISpaceTool

    public ISpaceTool(IXAgent agent)

Method Detail

### setupFrame

    void setupFrame()

### setVisible

    public void setVisible(boolean v)

### getFrame

    public javax.swing.JFrame getFrame()

### addMenu

    public void addMenu(javax.swing.JMenu menu)

  Adds a menu to the menu bar.

### addTab

    public void addTab(java.lang.String name,
                       java.awt.Component component)

  Adds a new tab and corresponding component

### makeMenuBar

    protected javax.swing.JMenuBar makeMenuBar()

  Creates the menu bar

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Action interpreter

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD